package com.datau.appshow.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class ChartInfoDTO {

	@ApiModelProperty("ID")
	private String id;
	@ApiModelProperty("图表名称")
	private String chartName;
	@ApiModelProperty("DML")
	private String DML;
	@ApiModelProperty("图表类型")
	private Integer chartType;
	@ApiModelProperty("图表分类code")
	private String chartClassCode;
	@ApiModelProperty("数据库id")
	private String databaseId;
	@ApiModelProperty("数据表id")
	private String tableId;
	@ApiModelProperty("文件路径，图表类型为：图片、视频")
	private String filePath;
	@ApiModelProperty("最后更新人")
	private String updateUserId;
	@ApiModelProperty("更新时间")
	private String updateTime;
	@ApiModelProperty("最后更新人名")
	private String updateUserName;
	@ApiModelProperty("图表类型")
	private String chartTypeValue;
	@ApiModelProperty("图表分类名称")
	private String chartClassName;
	@ApiModelProperty("图表json串")
	private String chartJson;
	@ApiModelProperty("富文本文档，图表类型为：富文本")
	private String richText;
}
