package com.datau.rpm.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class ReportKPIDTO {

	private String reportId;
	private String kpiId;
	private Integer ifDrillDown;
	private String subreportId;
	private Integer sort;
	private Integer ifQueryTime;
	private Integer timeTypeId;
	private Integer ifQuerySearch;
	private Integer searchTypeId;
	private Integer ifQueryGroupBy;
	private Integer ifQueryOrderBy;
	private Integer ifQueryColor;
	private Double queryColorUpper;
	private Double queryColorLower;
	private Integer queryColorId;
	private Integer ifGroupShow;
	private String rname;
	@ApiModelProperty("是否是下钻关联条件")
	private Integer ifRelated;
	@ApiModelProperty("是否时间")
	private Integer ifTime;
	@ApiModelProperty("是否数字")
	private Integer ifNumber;
	@ApiModelProperty("kpi-编码")
	private String kpiCode;

	@ApiModelProperty("是否可编辑")
	private Integer editStatus;

	@ApiModelProperty("kpi赋权用户")
	private String userId;

}
