package com.datau.rpm.dto.chart;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 * @ClassName: RelSubjectChartDTO
 * @Description:专题图表关联表实体类
 * @author: Zhao You Kai
 * @date: Apr 23, 2019 7:50:18 PM
 */
@Data
public class RelSubjectChartDTO {
	@ApiModelProperty("专题ID")
	private String subjectId;
	@ApiModelProperty("图表ID")
	private String chartId;
	@ApiModelProperty("专题页数")
	private Integer subjectPage;
	@ApiModelProperty("行数")
	private Integer rowNo;
	@ApiModelProperty("列数")
	private Integer colNo;
	@ApiModelProperty("行结束数")
	private Integer rowEndNo;
	@ApiModelProperty("列结束数")
	private Integer colEndNo;
	@ApiModelProperty("是否合并")
	private Integer ifMerge;
	@ApiModelProperty("图表名称")
	private String chartName;
	@ApiModelProperty("图表类型")
	private Integer chartType;

}
