package com.datau.rpm.dto.kpim;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @ClassName TreeDTO
 * @Desc 树实体类
 * @Author jade
 * @Date 2019/2/21
 * @Version 1.0
 */
@Data
@ApiModel("主题树Ztree模型")
public class TopicZtreeDTO {

	@ApiModelProperty("主题编码")
	private String code;

	@ApiModelProperty("上级编码")
	private String pcode;

	@ApiModelProperty("主题名称")
	private String name;

	@ApiModelProperty("主题ID")
	private String id;

}
