package com.datau.rpm.dto.save;

import java.util.List;
import java.util.Map;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 * @ClassName: SaveFiveDTO
 * @Description:报表配置保存模板
 * @author: Zhao You Kai
 * @date: Mar 8, 2019 3:06:54 PM
 */
@Data
public class SaveFourDTO {
	@ApiModelProperty("报表ID")
	private String id;
	@ApiModelProperty("是否下钻")
	private Integer ifDrillDown;
	@ApiModelProperty("下钻默认条件")
	private List<ReportKpiDrillDown> drillDowns;
	@ApiModelProperty("启用状态：0-停用 1-启用 ")
	private Integer status;
	@ApiModelProperty("最近更新时间")
	private String updateTime;
	@ApiModelProperty("最近更新用户ID")
	private String updateUserId;
	@ApiModelProperty("当前步骤：1-基本信息配置 2-选择KPI 3-查询条件配置 4-报表关系配置 5-图表配置 6-效果预览")
	private Integer currentStep;
	@ApiModelProperty("是否完成")
	private Integer ifFinish;
	@ApiModelProperty("附加条件kpiID")
	private List<String> relatedKpis;

	@ApiModelProperty("是否附加条件")
	private Integer ifRelated;

}
