package com.datau.rpm.dto.util;

import java.util.List;
import java.util.Map;

import com.datau.rpm.dto.kpim.KpiConfigDTO;
import com.datau.rpm.dto.save.RpmInfoReportChartDTO;

import lombok.Data;

@Data
public class ChartParameterDTO {

	// 报表类型
	private Integer reportType;
	// KPI详细信息列表
	private List<KpiConfigDTO> kpiConfigList;
	// KPI-ID转换成真实字段映射
	private Map<String, String> columnMap;
	// 图表信息列表
	private List<RpmInfoReportChartDTO> chartInfoList;
	// group by所用的KPI-ID列表
	private List<String> idsGroupBy;
	// 汇总需要展示的KPI详细信息列表
	private List<KpiConfigDTO> totalKpiConfigList;

}
