package com.datau.rpm.dto.view;

import java.util.List;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 * @ClassName: GroupKpiViewDTO
 * @Description:报表分组字段展示
 * @author: Zhao You Kai
 * @date: Mar 15, 2019 10:05:40 AM
 */
@Data
public class GroupKpiViewDTO {
	@ApiModelProperty("分组kpi-ID")
	private String kpiId;
	@ApiModelProperty("分组kpi-code")
	private String kpiCode;
	@ApiModelProperty("分组kpi-名称")
	private String kpiName;
	@ApiModelProperty("分组kpi参数列表")
	private List<Object> groupKpiList;

	@ApiModelProperty("是否数字")
	private Integer ifNumber;

}
