CREATE TABLE `da_info_task_error_record` (
  `id` varchar(36) NOT NULL COMMENT 'uuid主键',
  `task_id` varchar(36) NOT NULL COMMENT '任务id',
  `task_name` varchar(50) NOT NULL COMMENT '任务名称',
  `error_desc` text COMMENT '任务出错详情',
  `send_status` varchar(4) DEFAULT NULL COMMENT '邮件发送状态，0：未发送，1：已发送',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='任务出错信息记录表';

CREATE TABLE `da_info_send_mails_config` (
  `id` varchar(36) NOT NULL COMMENT 'uuid主键',
  `send_address` varchar(100) NOT NULL COMMENT '要发送的邮箱地址',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='任务发送邮箱配置表';