package com.datau.mdm.dto.interfacedto;

import java.util.Map;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 * @ClassName: CallInterFaceParamDTO
 * @Description:接口数据源调用参数实体类
 * @author: Zhao You Kai
 * @date: Aug 2, 2019 11:23:32 AM
 */
@Data
public class CallInterFaceParamDTO {
	@ApiModelProperty("接口id")
	private String interfaceId;

	@ApiModelProperty("接口入参键值对")
	private Map<String, Object> paramIn;
}
