package com.datau.kpim.controller.common;

import com.datau.kpim.util.R;

/**
 * @ClassName BaseController
 * @Desc 基础抽象Controller
 * @Author jade
 * @Date 2019/2/20
 * @Version 1.0
 */
public interface IBaseController<T> {

    /* *
     * @Author jade
     * @Description  新增抽象方法
     * @Date 2019/2/20
     * @Param [t]
     * @return com.datau.kpim.util.R<? extends java.lang.Object>
    **/
    R<? extends Object> save(T t,String token);

    /* *
     * @Author jade
     * @Description 修改抽象方法
     * @Date 2019/2/20
     * @Param [t]
     * @return com.datau.kpim.util.R<? extends java.lang.Object>
    **/
    R<? extends Object> update(T t,String token);

    /* *
     * @Author jade
     * @Description  删除抽象方法
     * @Date 2019/2/20
     * @Param [id]
     * @return com.datau.kpim.util.R<? extends java.lang.Object>
     **/
    R<? extends Object> delete(String id);


    /* *
     * @Author jade
     * @Description  查询详情
     * @Date 2019/2/20
     * @Param [id]
     * @return com.datau.kpim.util.R<? extends java.lang.Object>
    **/
    R<? extends Object> getById(String id);


}
