package com.datau.kpim.dto.common;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @ClassName RuleTypeDTO
 * @Desc 规则类型维表实体类
 * @Author jade
 * @Date 2019/2/21
 * @Version 1.0
 */
@Data
@ApiModel("规则类型模型")
public class RuleTypeDTO {

    @ApiModelProperty("规则类型ID")
    private Integer id;

    @ApiModelProperty("规则类型")
    private String type;

    @ApiModelProperty("规则类型格式")
    private String format;

    @ApiModelProperty("规则类型描述")
    private String typeDesc;

}
