package com.datau.kpim.dto.common;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @ClassName UserDTO
 * @Desc 用户实体类
 * @Author jade
 * @Date 2019/2/26
 * @Version 1.0
 */

@Data
@ApiModel("用户模型")
public class UserDTO {

    @ApiModelProperty("唯一标识")
    private String id;

    @ApiModelProperty("用户名")
    private String username;

    @ApiModelProperty("昵称")
    private String nickname;

    @ApiModelProperty("用户类型")
    private Integer userType;

}
