package com.datau.kpim.dto.topic;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @ClassName TreeDTO
 * @Desc 树实体类
 * @Author jade
 * @Date 2019/2/21
 * @Version 1.0
 */
@Data
@ApiModel("主题树模型")
public class TopicTreeDTO {

    @ApiModelProperty("主键ID")
    private String id;

    @ApiModelProperty("主题编码")
    private String topicCode;

    @ApiModelProperty("主题名称")
    private String name;

    @ApiModelProperty("主题级别")
    private Integer level;

    @ApiModelProperty("下级主题")
    private List<TopicTreeDTO> children;

}
