package com.datau.kpim.service.common;

import com.datau.kpim.util.R;

/* *
 * @Author jade
 * @Description 通用接口
 * @Date 2019/2/20
 * @Version 1.0
**/
public interface IBaseService<T> {

    /* *
     * @Author jade
     * @Description  新增抽象方法
     * @Date 2019/2/20
     * @Param [t]
     * @return com.datau.kpim.util.R<? extends java.lang.Object>
     **/
    R<T> save(T t) throws Exception;

    /* *
     * @Author jade
     * @Description 修改抽象方法
     * @Date 2019/2/20
     * @Param [t]
     * @return com.datau.kpim.util.R<? extends java.lang.Object>
     **/
    R<T> update(T t) throws Exception;

    /* *
     * @Author jade
     * @Description  删除抽象方法
     * @Date 2019/2/20
     * @Param [id]
     * @return com.datau.kpim.util.R<? extends java.lang.Object>
     **/
    R<T> delete(String id) throws Exception;

    /* *
     * @Author jade
     * @Description 查询详情
     * @Date 2019/2/20
     * @Param [id]
     * @return com.datau.kpim.util.R<T>
    **/
    R<T> getById(String id) throws Exception;

}
