package com.datau.kpim.service.kpiconfig;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;

@FeignClient(value="RPM")
public interface RpmApi {

    /* *
     * @Author jade
     * @Description 调用报表配置接口判断KPI是否在使用中
     * @Date 2019/3/15
     * @Param [kpiId]
     * @return int
     **/
    @GetMapping("/rpm/system/usedKPI/{kpi}")
    int usedKPI(@PathVariable("kpi") String kpiId);

}
