package com.datau.rpm;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.netflix.eureka.EnableEurekaClient;
import org.springframework.cloud.openfeign.EnableFeignClients;

import springfox.documentation.swagger2.annotations.EnableSwagger2;

@MapperScan("com.datau.rpm.mapper")
@EnableSwagger2
@EnableEurekaClient
@EnableFeignClients
@SpringBootApplication
public class RpmApplication {

	public static void main(String[] args) {
		SpringApplication.run(RpmApplication.class, args);
	}

}
