package com.datau.rpm.dto;

import java.util.Date;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class MenuDTO {

	@ApiModelProperty("唯一索引")
	private String id;
	@ApiModelProperty("菜单编码")
	private String menuCode;
	@ApiModelProperty("菜单名称")
	private String menuName;
	@ApiModelProperty("菜单层级")
	private Integer menuLevel;
	@ApiModelProperty("页面url")
	private String pageUrl;
	@ApiModelProperty("是否是叶子节点")
	private Integer ifLeafNode;
	@ApiModelProperty("下挂的报表ID")
	private String reportId;
	@ApiModelProperty("最后修改时间")
	private Date updateTime;
	@ApiModelProperty("最后修改用户ID")
	private String updateUserId;
	@ApiModelProperty("最后修改用户名称")
	private String updateUserName;
	@ApiModelProperty("父类菜单编码")
	private String pCode;
	@ApiModelProperty("菜单关联报表数量")
	private Integer reportCount;
}
