package com.datau.rpm.dto;

import java.util.List;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 * @ClassName: ReportKpiRelUserDTO
 * @Description:报表KPI授权用户接口实体类
 * @author: Zhao You Kai
 * @date: Apr 1, 2019 2:10:56 PM
 */
@Data
public class ReportKpiRelUserDTO {

	@ApiModelProperty("用户ID")
	private String userId;
	@ApiModelProperty("昵称")
	private String nickname;
	@ApiModelProperty("KpiID")
	private List<String> kpiIds;

}
