package com.datau.rpm.dto.chart;

import java.util.List;
import java.util.Map;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 * @ClassName: GetChartViewDTO
 * @Description:图表预览接口返回实体类
 * @author: Zhao You Kai
 * @date: Apr 24, 2019 2:44:58 PM
 */
@Data
public class GetChartViewDTO {

	@ApiModelProperty("图表ID")
	private String id;
	@ApiModelProperty("图表名称")
	private String chartName;
	@ApiModelProperty("图表类型")
	private Integer chartType;
	@ApiModelProperty("文件路径，图表类型为：图片、视频")
	private String filePath;
	@ApiModelProperty("图表json串")
	private String chartJson;
	@ApiModelProperty("富文本文档，图表类型为：富文本")
	private String richText;
	@ApiModelProperty("图表类型数据头")
	private List<String> header;
	@ApiModelProperty("图表类型数据")
	private List<Map<String, Object>> data;
}
