package com.datau.rpm.dto.chart;

import java.util.List;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 * @ClassName: ListSubjectDTO
 * @Description: 专题列表信息接口返回类
 * @author: Zhao You Kai
 * @date: Apr 23, 2019 4:28:48 PM
 */
@Data
public class ListSubjectDTO {

	@ApiModelProperty("上线主题列表")
	private List<SubjectInfoDTO> subjectListUp;
	@ApiModelProperty("下线主题列表")
	private List<SubjectInfoDTO> subjectListDown;

}
