package com.datau.rpm.dto.kpim;

import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @ClassName KpiConfigDTO
 * @Desc Kpi配置实体类
 * @Author jade
 * @Date 2019/2/19
 * @Version 1.0
 */
@Data
@ApiModel("Kpi配置模型")
public class KpiConfigDTO extends KpiConfigPO {

	@ApiModelProperty("主题编码")
	private List<String> topicCodes;

	@ApiModelProperty("定义类型对应内容")
	private DefinedTypeInfoDTO definedTypeInfo;

	@ApiModelProperty("计算类型对应内容")
	private ComputedTypeInfoDTO computedTypeInfo;

	@ApiModelProperty("数据库ID，用于定义和计算类型")
	private String databaseId;

	@ApiModelProperty("函数类型对应字段信息")
	private List<DefinedTypeInfoDTO> functionKpiColumns;
}
