package com.datau.rpm.dto.save;

import java.util.List;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 * @ClassName: ReportKpiDrillDown
 * @Description:下钻kpi和报表id关联
 * @author: Zhao You Kai
 * @date: Mar 12, 2019 10:39:17 AM
 */
@Data
public class ReportKpiDrillDown {
	@ApiModelProperty("下钻KPI ID")
	private String kpiId;
	@ApiModelProperty("下钻KPI CODE")
	private String kpiCode;
	@ApiModelProperty("子报表ID")
	private String subreportId;

	@ApiModelProperty("是否是下钻关联条件")
	private Integer ifRelated;
	@ApiModelProperty("主报表关联KPIID")
	private String relatedKpiId;
	@ApiModelProperty("主报表关联KPICODE")
	private String relatedKpiCode;
	@ApiModelProperty("下钻子报表关联KPIID")
	private String relatedSubKpiId;
	@ApiModelProperty("下钻子报表关联KPICODE")
	private String relatedSubKpiCode;
	@ApiModelProperty("时间下钻是否以选择时间为基准：1是2否，以当前时间为基准")
	private Integer timeRelatedSelected;
	@ApiModelProperty("时间类型KPI范围值偏移值，单位：天")
	private Integer timeRangeOffset;

	@ApiModelProperty("下钻关联参数列表-多参数")
	private List<RelReportKpiDrillDTO> kpiDrills;

}
